repo/proj/guru:dev commit in: net-proxy/opera-proxy/
"Anna Vyalkova" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786097344.743298c5999a66749b4dcc65e7ba430fe61c571a.cybertailor@gentoo> |
commit: 743298c5999a66749b4dcc65e7ba430fe61c571a
Author: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
AuthorDate: Fri Aug 7 10:00:16 2026 +0000
Commit: Anna Vyalkova <cyber+gentoo <AT> sysrq <DOT> in>
CommitDate: Fri Aug 7 10:09:04 2026 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=743298c5
net-proxy/opera-proxy: add 1.28.0
Signed-off-by: Anna (cybertailor) Vyalkova <cyber+gentoo <AT> sysrq.in>
net-proxy/opera-proxy/Manifest | 2 ++
net-proxy/opera-proxy/metadata.xml | 2 +-
net-proxy/opera-proxy/opera-proxy-1.28.0.ebuild | 41 +++++++++++++++++++++++++
3 files changed, 44 insertions(+), 1 deletion(-)
diff --git a/net-proxy/opera-proxy/Manifest b/net-proxy/opera-proxy/Manifest
index e14e243f60..2a73d72e1c 100644
--- a/net-proxy/opera-proxy/Manifest
+++ b/net-proxy/opera-proxy/Manifest
@@ -1,2 +1,4 @@
DIST opera-proxy-1.15.0-vendor.tar.xz 203136 BLAKE2B ebc1621769d8fbdddfbddcd2b2e2f3f276d599d232ddbfd2248c0e452da9010fd6aba68caff43e85241846ac0dff9ae7d733d46480387e79a326a73c6c28d97e SHA512 56d73fdea2d599b5e041de59a1ade4950fec4e2c653e5e3ceb01f5286761fe3ce5ac282268ac74973a7b32bf5881a0a369db2c932fefbc4b45dc7e2730eadf0b
DIST opera-proxy-1.15.0.tar.gz 23465 BLAKE2B 8bd8d46bc6ffc2e6222f806fe15b5a01e95c263f26a70cf4ae4d9248dd1c39a7e399fdedf34c8d36b8d4c801348595aa57b510faa47002b7efd13ff29375a829 SHA512 96083e5974571b5999cfa8b628d527a841acdb0995e02a5d9e87a91fb4691fc8ff6ab4a28a8d3147a1bf80e5d57cd68a8f4dcacbed374f31cf19baf2a74db630
+DIST opera-proxy-1.28.0-vendor.tar.xz 184236 BLAKE2B 08252a2e309d87d4cdfdae0c24cf846cee75694e0c6f17596963e898cdfe4c8fc10bca57e721a7206aa1af46461e197da663c802fb0db83aec4eafc4c113e389 SHA512 10c938cbe98ab1d6dd80d598e4626bfad84465a95ff9a4926ae0e6fad2e8aa93c5299ba9ea4f5334e0bafd709ce5455edd2e0e2b525067a318c16c1b1bd837fa
+DIST opera-proxy-1.28.0.tar.gz 40873 BLAKE2B bf463d26c7d4e00ec4ed77ba387a650d5a71a442f46a14735ac476ea45f164ba4e40ec7bc9845d560efc195a7d6d2b84d572619ba545d7c2b835426fe9ec4517 SHA512 dbcdc3f71a2dd26d293a9e2213200f55e0e7d068993506d59040a9ed771232c9d57cdc2d93018e058e4507f8068d72c2fd9c86efafae0a028c00e6f94b93e683
diff --git a/net-proxy/opera-proxy/metadata.xml b/net-proxy/opera-proxy/metadata.xml
index cf80441252..2bab84ada5 100644
--- a/net-proxy/opera-proxy/metadata.xml
+++ b/net-proxy/opera-proxy/metadata.xml
@@ -6,6 +6,6 @@
<name>Anna</name>
</maintainer>
<upstream>
- <remote-id type="github">Snawoot/opera-proxy</remote-id>
+ <remote-id type="github">Alexey71/opera-proxy</remote-id>
</upstream>
</pkgmetadata>
diff --git a/net-proxy/opera-proxy/opera-proxy-1.28.0.ebuild b/net-proxy/opera-proxy/opera-proxy-1.28.0.ebuild
new file mode 100644
index 0000000000..8372a4281b
--- /dev/null
+++ b/net-proxy/opera-proxy/opera-proxy-1.28.0.ebuild
@@ -0,0 +1,41 @@
+# Copyright 2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=9
+
+inherit go-module
+
+DESCRIPTION="Standalone Opera VPN proxies client"
+HOMEPAGE="https://github.com/Alexey71/opera-proxy"
+SRC_URI="https://github.com/Alexey71/${PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/sysrq-golang-dist/${PN}/releases/download/v${PV}/${P}-vendor.tar.xz"
+
+LICENSE="MIT"
+# Go dependency licenses
+LICENSE+=" BSD BSD-2 MPL-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND=">=dev-lang/go-1.25.0"
+
+src_prepare() {
+ default
+
+ # fails to build
+ rm handler/bypass_test.go || die
+}
+
+src_compile() {
+ ego build -o opera-proxy
+}
+
+src_test() {
+ ego test -vet=off ./...
+}
+
+src_install() {
+ dobin opera-proxy
+ einstalldocs
+
+ newinitd "${FILESDIR}"/opera-proxy.initd opera-proxy
+}